## r-cran-future.apply 1.7.0

=== DESCRIPTION ===
Package: future.apply
Version: 1.7.0
Title: Apply Function to Elements in Parallel using Futures
Depends: R (>= 3.2.0), future (>= 1.17.0)
Imports: globals (>= 0.12.5), parallel, utils
Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"),
             person("R Core Team", role = c("cph", "ctb")))
Description: Implementations of apply(), by(), eapply(), lapply(), Map(), .mapply(), mapply(), replicate(), sapply(), tapply(), and vapply() that can be resolved using any future-supported backend, e.g. parallel on the local machine or distributed on a compute cluster.  These future_*apply() functions come with the same pros and cons as the corresponding base-R *apply() functions but with the additional feature of being able to be processed via the future framework.
License: GPL (>= 2)
LazyLoad: TRUE
URL: https://github.com/HenrikBengtsson/future.apply
BugReports: https://github.com/HenrikBengtsson/future.apply/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-03 04:25:38 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph],
  R Core Team [cph, ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2021-01-04 21:20:16 UTC

## r-cran-future.apply 1.3.0

=== debian/changelog ===
r-cran-future.apply (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #934645)

 -- Steffen Moeller <moeller@debian.org>  Mon, 12 Aug 2019 15:04:31 +0200

=== debian/control ===
Source: r-cran-future.apply
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-future (>= 1.13.0),
               r-cran-globals (>= 0.12.4)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
Homepage: https://cran.r-project.org/package=future.apply

Package: r-cran-future.apply
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: apply function to elements in parallel using futures
 Implementations of apply(), by(), eapply(), lapply(), Map(), mapply(),
 replicate(), sapply(), tapply(), and vapply() that can be resolved using
 any future-supported backend, e.g. parallel on the local machine or
 distributed on a compute cluster. These future_*apply() functions come
 with the same pros and cons as the corresponding base-R *apply()
 functions but with the additional feature of being able to be processed
 via the future framework.

## r-cran-future.apply 1.4.0

=== debian/changelog ===
r-cran-future.apply (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 09:37:18 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.13.0),
-               r-cran-globals (>= 0.12.4)
-Standards-Version: 4.4.0
+               r-cran-future (>= 1.15.1),
+               r-cran-globals (>= 0.12.5)
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply

## r-cran-future.apply 1.6.0

=== debian/changelog ===
r-cran-future.apply (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 15 Jul 2020 08:53:02 +0200

r-cran-future.apply (1.5.0-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 15:45:01 +0200

r-cran-future.apply (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 19 Apr 2020 12:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.15.1),
+               r-cran-future (>= 1.17.0),
                r-cran-globals (>= 0.12.5)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply
+Rules-Requires-Root: no
 
 Package: r-cran-future.apply
 Architecture: all

## r-cran-future.apply 1.7.0

=== debian/changelog ===
r-cran-future.apply (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 20:06:20 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-future (>= 1.17.0),
                r-cran-globals (>= 0.12.5)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/future.apply_([-\d.]*)\.tar\.gz

## r-cran-future.apply 1.8.1

=== DESCRIPTION ===
Package: future.apply
Version: 1.8.1
Title: Apply Function to Elements in Parallel using Futures
Depends: R (>= 3.2.0), future (>= 1.21.0)
Imports: globals (>= 0.14.0), parallel, utils
Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"),
             person("R Core Team", role = c("cph", "ctb")))
Description: Implementations of apply(), by(), eapply(), lapply(), Map(), .mapply(), mapply(), replicate(), sapply(), tapply(), and vapply() that can be resolved using any future-supported backend, e.g. parallel on the local machine or distributed on a compute cluster.  These future_*apply() functions come with the same pros and cons as the corresponding base-R *apply() functions but with the additional feature of being able to be processed via the future framework.
License: GPL (>= 2)
LazyLoad: TRUE
URL: https://future.apply.futureverse.org,
        https://github.com/HenrikBengtsson/future.apply
BugReports: https://github.com/HenrikBengtsson/future.apply/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-08-10 12:15:45 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph],
  R Core Team [cph, ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2021-08-10 13:00:02 UTC

=== debian/changelog ===
r-cran-future.apply (1.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 07:58:40 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.17.0),
-               r-cran-globals (>= 0.12.5)
-Standards-Version: 4.5.1
+               r-cran-future (>= 1.21.0),
+               r-cran-globals (>= 0.14.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply

## r-cran-future.apply 1.9.0

=== debian/changelog ===
r-cran-future.apply (1.9.0-1) unstable; urgency=medium

  * Team upload
  * Disable reprotest
  * Reorder sequence of d/control fields by cme (routine-update)
  * DEP3

 -- Andreas Tille <tille@debian.org>  Fri, 29 Apr 2022 11:48:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: r-cran-future.apply
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
+Homepage: https://cran.r-project.org/package=future.apply
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.21.0),
+               r-cran-future (>= 1.22.1),
                r-cran-globals (>= 0.14.0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
-Homepage: https://cran.r-project.org/package=future.apply
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future.apply
 Architecture: all

## r-cran-future.apply 1.10.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: future.apply
-Version: 1.8.1
+Version: 1.10.0
 Title: Apply Function to Elements in Parallel using Futures
-Depends: R (>= 3.2.0), future (>= 1.21.0)
-Imports: globals (>= 0.14.0), parallel, utils
+Depends: R (>= 3.2.0), future (>= 1.28.0)
+Imports: globals (>= 0.16.1), parallel, utils
 Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -14,11 +14,11 @@
 URL: https://future.apply.futureverse.org,
         https://github.com/HenrikBengtsson/future.apply
 BugReports: https://github.com/HenrikBengtsson/future.apply/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.1
 NeedsCompilation: no
-Packaged: 2021-08-10 12:15:45 UTC; hb
+Packaged: 2022-11-05 01:20:56 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph],
   R Core Team [cph, ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2021-08-10 13:00:02 UTC
+Date/Publication: 2022-11-05 08:50:02 UTC

=== debian/changelog ===
r-cran-future.apply (1.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 08:22:21 +0100

r-cran-future.apply (1.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Wed, 14 Sep 2022 12:04:04 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-future (>= 1.22.1),
-               r-cran-globals (>= 0.14.0)
+               r-cran-future (>= 1.28.0),
+               r-cran-globals (>= 0.16.1)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future.apply

## r-cran-future.apply 1.11.0+dfsg

=== debian/changelog ===
r-cran-future.apply (1.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Jun 2023 21:48:47 +0200

## r-cran-future.apply 1.11.1+dfsg

=== DESCRIPTION ===
Package: future.apply
Version: 1.11.1
Title: Apply Function to Elements in Parallel using Futures
Depends: R (>= 3.2.0), future (>= 1.28.0)
Imports: globals (>= 0.16.1), parallel, utils
Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson",
                    role = c("aut", "cre", "cph"),
                    email = "henrikb@braju.com",
                    comment = c(ORCID = "0000-0002-7579-5165")),
             person("R Core Team", role = c("cph", "ctb")))
Description: Implementations of apply(), by(), eapply(), lapply(), Map(), .mapply(), mapply(), replicate(), sapply(), tapply(), and vapply() that can be resolved using any future-supported backend, e.g. parallel on the local machine or distributed on a compute cluster.  These future_*apply() functions come with the same pros and cons as the corresponding base-R *apply() functions but with the additional feature of being able to be processed via the future framework.
License: GPL (>= 2)
LazyLoad: TRUE
URL: https://future.apply.futureverse.org,
        https://github.com/HenrikBengtsson/future.apply
BugReports: https://github.com/HenrikBengtsson/future.apply/issues
RoxygenNote: 7.2.3
NeedsCompilation: no
Packaged: 2023-12-20 07:12:01 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
    (<https://orcid.org/0000-0002-7579-5165>),
  R Core Team [cph, ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2023-12-21 22:40:02 UTC

=== debian/changelog ===
r-cran-future.apply (1.11.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2024 17:45:54 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-future.apply 1.11.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: future.apply
-Version: 1.11.1
+Version: 1.11.2
 Title: Apply Function to Elements in Parallel using Futures
 Depends: R (>= 3.2.0), future (>= 1.28.0)
 Imports: globals (>= 0.16.1), parallel, utils
@@ -16,12 +16,12 @@
 URL: https://future.apply.futureverse.org,
         https://github.com/HenrikBengtsson/future.apply
 BugReports: https://github.com/HenrikBengtsson/future.apply/issues
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1
 NeedsCompilation: no
-Packaged: 2023-12-20 07:12:01 UTC; henrik
+Packaged: 2024-03-28 06:31:25 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
     (<https://orcid.org/0000-0002-7579-5165>),
   R Core Team [cph, ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-12-21 22:40:02 UTC
+Date/Publication: 2024-03-28 15:30:02 UTC

=== debian/changelog ===
r-cran-future.apply (1.11.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1063431

 -- Andreas Tille <tille@debian.org>  Thu, 28 Mar 2024 17:35:21 +0100

## r-cran-future.apply 1.11.3+dfsg

=== DESCRIPTION ===
Package: future.apply
Version: 1.11.3
Title: Apply Function to Elements in Parallel using Futures
Depends: R (>= 3.2.0), future (>= 1.28.0)
Imports: globals (>= 0.16.1), parallel, utils
Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
VignetteBuilder: R.rsp
Authors@R: c(person("Henrik", "Bengtsson",
                    role = c("aut", "cre", "cph"),
                    email = "henrikb@braju.com",
                    comment = c(ORCID = "0000-0002-7579-5165")),
             person("R Core Team", role = c("cph", "ctb")))
Description: Implementations of apply(), by(), eapply(), lapply(), Map(), .mapply(), mapply(), replicate(), sapply(), tapply(), and vapply() that can be resolved using any future-supported backend, e.g. parallel on the local machine or distributed on a compute cluster. These future_*apply() functions come with the same pros and cons as the corresponding base-R *apply() functions but with the additional feature of being able to be processed via the future framework <doi:10.32614/RJ-2021-048>.
License: GPL (>= 2)
LazyLoad: TRUE
URL: https://future.apply.futureverse.org,
        https://github.com/futureverse/future.apply
BugReports: https://github.com/futureverse/future.apply/issues
RoxygenNote: 7.3.2
NeedsCompilation: no
Packaged: 2024-10-27 17:30:11 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
    (<https://orcid.org/0000-0002-7579-5165>),
  R Core Team [cph, ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2024-10-27 18:50:02 UTC

=== debian/changelog ===
r-cran-future.apply (1.11.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Tue, 28 Jan 2025 11:05:52 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-listenv (>= 0.8.0),
        r-cran-r.rsp,
        r-cran-markdown
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/future.apply_([-\d.]*)\.tar\.gz

## r-cran-future.apply 1.20.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: future.apply
-Version: 1.11.3
+Version: 1.20.1
 Title: Apply Function to Elements in Parallel using Futures
-Depends: R (>= 3.2.0), future (>= 1.28.0)
-Imports: globals (>= 0.16.1), parallel, utils
-Suggests: datasets, stats, tools, listenv (>= 0.8.0), R.rsp, markdown
+Depends: R (>= 3.2.0), future (>= 1.49.0)
+Imports: globals, parallel, utils
+Suggests: datasets, stats, tools, listenv, R.rsp, markdown
 VignetteBuilder: R.rsp
 Authors@R: c(person("Henrik", "Bengtsson",
                     role = c("aut", "cre", "cph"),
@@ -16,12 +16,14 @@
 URL: https://future.apply.futureverse.org,
         https://github.com/futureverse/future.apply
 BugReports: https://github.com/futureverse/future.apply/issues
-RoxygenNote: 7.3.2
+Language: en-US
+Encoding: UTF-8
+RoxygenNote: 7.3.3
 NeedsCompilation: no
-Packaged: 2024-10-27 17:30:11 UTC; henrik
-Author: Henrik Bengtsson [aut, cre, cph]
-    (<https://orcid.org/0000-0002-7579-5165>),
+Packaged: 2025-12-09 05:24:32 UTC; hb
+Author: Henrik Bengtsson [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-7579-5165>),
   R Core Team [cph, ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2024-10-27 18:50:02 UTC
+Date/Publication: 2025-12-09 07:50:07 UTC

=== debian/changelog ===
r-cran-future.apply (1.20.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 10:18:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: r-cran-future.apply
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-future (>= 1.49.0),
+               r-cran-globals,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
 Homepage: https://cran.r-project.org/package=future.apply
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-future (>= 1.28.0),
-               r-cran-globals (>= 0.16.1)
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-future.apply
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-listenv,
        r-cran-r.rsp,
        r-cran-markdown
Restrictions: allow-stderr

## r-cran-future.apply 1.20.2+dfsg

=== debian/changelog ===
r-cran-future.apply (1.20.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Mon, 23 Feb 2026 13:52:46 +0900

=== debian/control ===
Source: r-cran-future.apply
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-future (>= 1.49.0),
 r-cran-globals,
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-future.apply
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-future.apply.git
Homepage: https://cran.r-project.org/package=future.apply
Rules-Requires-Root: no

Package: r-cran-future.apply
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: apply function to elements in parallel using futures
 Implementations of apply(), by(), eapply(), lapply(), Map(), mapply(),
 replicate(), sapply(), tapply(), and vapply() that can be resolved using
 any future-supported backend, e.g. parallel on the local machine or
 distributed on a compute cluster. These future_*apply() functions come
 with the same pros and cons as the corresponding base-R *apply()
 functions but with the additional feature of being able to be processed
 via the future framework.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-listenv,
 r-cran-r.rsp,
 r-cran-markdown,
